- test:
    timeout:
      minutes: {{ timeout }}
    definitions:
    - repository: {{ test_definitions }}
      lava-signal: kmsg
      from: url
      compression: zstd
      path: automated/linux/ltp/ltp.yaml
      parameters:
        SKIP_INSTALL: 'true'
        TST_CMDFILES: '{{ cmdfile|default(name) }}'
        SKIPFILE: '{{ parameters.get("SKIPFILE", "/tuxtest/skipfiles/" + arch + "/" + name) }}'
        ENVIRONMENT: 'production'
        TIMEOUT_MULTIPLIER: '5'
        LTP_TMPDIR: '/scratch'
        LTP_INSTALL_PATH: '/opt/ltp/'
        SHARD_NUMBER: {{ parameters.get("SHARD_NUMBER", 1) }}
        SHARD_INDEX: {{ parameters.get("SHARD_INDEX", 1) }}
      name: {{ name }}

